interface Url {
    uri: string;
    scheme: string;
    authority: string;
    path: string;
    query: string;
    fragment: string;
    user?: string;
    password?: string;
    host?: string;
    port?: string;
    toString(): string;
}

interface UrlConstructor {
    new (...args: any[]): Url;
    prototype: Url;
}

declare module "./kernel" {
    interface Dojo {
        _Url: UrlConstructor
    }
}

declare const Url: UrlConstructor;
export = Url;
